image: node:10

stages:
  - build
  - test
  - staging
  - production

cache:
  key: tryout-app
  untracked: true

build:
  stage: build
  script:
    - yarn
    - yarn build

test:
  stage: test
  script:
    - echo "sorry, but test not wrote now"

staging:
  stage: staging
  environment:
    name: staging
    url: https://staging.tryout.tech
  before_script:
    - yarn global add firebase-tools
  script:
    - firebase deploy --only hosting:staging --token "$FIREBASE_TOKEN"
    - curl -d "$VK_DEVOPS" https://api.vk.com/method/messages.send

production:
  stage: production
  when: manual
  environment:
    name: production
    url: https://app.tryout.tech
  before_script:
    - yarn global add firebase-tools
  script:
    - firebase deploy --only hosting:production --token "$FIREBASE_TOKEN"
    - curl -d "$VK_DEVOPS" https://api.vk.com/method/messages.send